## r-bioc-alabaster.matrix 1.4.2+ds

=== DESCRIPTION ===
Package: alabaster.matrix
Title: Load and Save Artifacts from File
Version: 1.4.2
Date: 2024-06-21
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save matrices, arrays and similar objects into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: alabaster.base
Imports: methods, BiocGenerics, S4Vectors, DelayedArray (>= 0.27.2),
        S4Arrays, SparseArray, rhdf5 (>= 2.47.1), HDF5Array, Matrix,
        Rcpp
Suggests: testthat, knitr, BiocStyle, chihaya, BiocSingular,
        ResidualMatrix
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 7.3.1
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.matrix
git_branch: RELEASE_3_19
git_last_commit: 1a775b6
git_last_commit_date: 2024-06-21
Repository: Bioconductor 3.19
Date/Publication: 2024-06-23
NeedsCompilation: yes
Packaged: 2024-06-23 20:07:01 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
