=== debian/changelog ===
r-bioc-alabaster.matrix (1.4.2+ds-2) unstable; urgency=medium

  * Restrict to little-endian architectures.
  * Added patch to skip tests that use the 'chihaya' R package which is not
    yet in Debian.
  * Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 11:08:44 +0100

r-bioc-alabaster.matrix (1.4.2+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:41:54 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp3) experimental; urgency=medium

  * d/control: correct minimum version number for r-bioc-alabaster.base

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:16:30 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp2) experimental; urgency=medium

  * d/control: add minimum version number for r-bioc-alabaster.base

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 13:54:10 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 12:25:11 +0200

r-bioc-alabaster.matrix (1.4.2+ds-1~0exp0) experimental; urgency=medium

  * Initial release (Closes: #1076075)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:59:01 +0200
