=== debian/control ===
Source: r-bioc-alabaster.matrix
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix.git
Homepage: https://bioconductor.org/packages/alabaster.matrix
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp2),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-delayedarray (>= 0.30.1),
               r-bioc-s4arrays (>= 1.4.1),
               r-bioc-sparsearray (>= 1.4.8),
               r-bioc-rhdf5 (>= 2.48.0),
               r-bioc-hdf5array (>= 1.32.0),
               r-cran-matrix,
               r-cran-rcpp,
               architecture-is-64-bit,
               architecture-is-little-endian
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.matrix
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-alabaster.base (>= 1.4.2+ds-2~0exp2),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-delayedarray (>= 0.30.1),
         r-bioc-s4arrays (>= 1.4.1),
         r-bioc-sparsearray (>= 1.4.8),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-hdf5array (>= 1.32.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-biocsingular (>= 1.20.0),
          r-bioc-residualmatrix (>= 1.14.1)
Description: Load and Save matrices, arrays, and similar objects from files
 Save matrices, arrays and similar objects into file artifacts, and load them
 back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.
