## r-bioc-alabaster.matrix 1.6.1+ds

=== DESCRIPTION ===
Package: alabaster.matrix
Title: Load and Save Artifacts from File
Version: 1.6.1
Date: 2024-11-19
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save matrices, arrays and similar objects into file artifacts, and load them back into memory.
    This is a more portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Depends: alabaster.base
Imports: methods, BiocGenerics, S4Vectors, DelayedArray (>= 0.31.8),
        S4Arrays, SparseArray (>= 1.5.22), rhdf5 (>= 2.47.1),
        HDF5Array, Matrix, Rcpp
Suggests: testthat, knitr, BiocStyle, chihaya, BiocSingular,
        ResidualMatrix
LinkingTo: Rcpp
VignetteBuilder: knitr
RoxygenNote: 7.3.2
Encoding: UTF-8
biocViews: DataImport, DataRepresentation
git_url: https://git.bioconductor.org/packages/alabaster.matrix
git_branch: RELEASE_3_20
git_last_commit: d176a56
git_last_commit_date: 2024-11-19
Repository: Bioconductor 3.20
Date/Publication: 2024-11-20
NeedsCompilation: yes
Packaged: 2024-11-20 21:02:16 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>
