=== debian/changelog ===
r-bioc-alabaster.matrix (1.6.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 23:18:05 +0100

r-bioc-alabaster.matrix (1.6.1+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 10:59:59 +0100

r-bioc-alabaster.matrix (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 08:35:42 +0100
