=== debian/control ===
Source: r-bioc-alabaster.matrix
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.matrix.git
Homepage: https://bioconductor.org/packages/alabaster.matrix
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.base,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-delayedarray (>= 0.31.8),
               r-bioc-s4arrays,
               r-bioc-sparsearray (>= 1.5.22),
               r-bioc-rhdf5 (>= 2.47.1),
               r-bioc-hdf5array,
               r-cran-matrix,
               r-cran-rcpp,
               architecture-is-64-bit,
               architecture-is-little-endian
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.matrix
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Load and Save matrices, arrays, and similar objects from files
 Save matrices, arrays and similar objects into file artifacts, and load them
 back into memory.
 This is a more portable alternative to serialization of such objects into RDS
 files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.
